%{CPP_TEMPLATE}

#include <kurl.h>
#include <tdeapplication.h>
#include <tdeaboutdata.h>
#include <tdecmdlineargs.h>
#include <tdelocale.h>

#include "%{APPNAMELC}tdemdi.h"

static const char description[] =
I18N_NOOP("A simple tdemdi app");

static const char version[] = "0.0.1";

static TDECmdLineOptions options[] =
{
	{ "+[URL]", I18N_NOOP( "Document to open" ), 0 },
	TDECmdLineLastOption
};

int main(int argc, char **argv)
{
	TDEAboutData about("%{APPNAMELC}", I18N_NOOP("%{APPNAME}"), version, description,
			TDEAboutData::License_%{LICENSE}, "(C) %{YEAR} %{AUTHOR}", 0, 0, "%{EMAIL}" );
	about.addAuthor( "%{AUTHOR}", 0, "%{EMAIL}" );

	// warning, utf-8 char
	//about.addCredit( "bksys authors", "Thomas Nagy, Julien Antille" );

	TDECmdLineArgs::init(argc, argv, &about);
	TDECmdLineArgs::addCmdLineOptions(options);

	TDEApplication app;

	// see if we are starting with session management
	/*if (app.isRestored())
	  {
	  RESTORE((%{APPNAME});
	  } else */
	{
		// no session.. just start up normally
		TDECmdLineArgs *args = TDECmdLineArgs::parsedArgs();

		%{APPNAMELC}tdemdi *widget = new %{APPNAMELC}tdemdi( KMdi::IDEAlMode );

		if (args->count() != 0)
		{
			for (int i=0; i < args->count(); i++)
			{
				widget->openURL( args->url( i ) );
			}
		}
		widget->show();
		args->clear();
	}

	return app.exec();
}

